summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2017-02-11 13:02:55 +0100
committerPacho Ramos <pacho@gentoo.org>2017-02-11 13:03:19 +0100
commit6d722fdf3a546676174a1953f125b949b1ad4b5f (patch)
tree5606da6303d79f6013b9abc8f0c2acc180ddfeba
parentsys-fs/nilfs-utils: remove unused patch (diff)
downloadgentoo-6d722fdf3a546676174a1953f125b949b1ad4b5f.tar.gz
gentoo-6d722fdf3a546676174a1953f125b949b1ad4b5f.tar.bz2
gentoo-6d722fdf3a546676174a1953f125b949b1ad4b5f.zip
media-gfx/xsane: Fix dependencies, bump eapi, use bigger icon for desktop file
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --force
-rw-r--r--media-gfx/xsane/Manifest1
-rw-r--r--media-gfx/xsane/xsane-0.999-r2.ebuild (renamed from media-gfx/xsane/xsane-0.999-r1.ebuild)21
2 files changed, 13 insertions, 9 deletions
diff --git a/media-gfx/xsane/Manifest b/media-gfx/xsane/Manifest
index cb5d50e4193..f5b65dcc727 100644
--- a/media-gfx/xsane/Manifest
+++ b/media-gfx/xsane/Manifest
@@ -1,2 +1,3 @@
DIST xsane-0.998-patches-2.tar.xz 54804 SHA256 84af533cba6309cf44892da8952b6203daa4dcfaf64e2efd1dddc5144e4cab4c SHA512 973ccac2fe3b6089049c1c5ba3e4cb0db29fdc79de372f8a7b461ee108e5bfc3f4a84997552fc3d3b651bbe9f98d247a5974d90e8949089b2ea52118eab6ad1f WHIRLPOOL 2294601aa696c442e8d2b5173b8ee04d158439e0ae02dd22c7d5c8f9fce98c8238a42e0867a5e511d206dd4030f7a15df2a98676471abe1e91870883662add56
DIST xsane-0.999.tar.gz 2950621 SHA256 5782d23e67dc961c81eef13a87b17eb0144cae3d1ffc5cf7e0322da751482b4b SHA512 73ec961fce1a86b5d6f5bac0995d222785eb4b077dc8e72492b092d2bf4500455426e80e4d27233721cd38ec84f77fb9f92190a6afe45bdaf7ffd1ee50b431ed WHIRLPOOL 7d50f6ecd8ad671d36a6b92eb365a6361da8d90bfea3136cf7add0890313294903f8cbc75684cbc24e42a028f83922a0308783fb20d89b0d6b14b1f949283ad5
+DIST xsane-256x256.png 18478 SHA256 cb3f91fda48033734f1ac233fd788313e19522446680113dbc6dc5f5d33e4b16 SHA512 7bd63a701a4776b395689799ad98b7619917a9b40367c980bebaa116e6c5c2bfeffb8b996a8295b07f3483aa689c9040d8a68bb21376af65b1c0e8f69294f2e5 WHIRLPOOL 138c3b657d0527241237540cbe23dc541dff31f691c5971984c5e710cfb658cab301fc9ea6be0dcc609382104dab67dbd4c1bd65d9f8aabf1d04d6974922cf39
diff --git a/media-gfx/xsane/xsane-0.999-r1.ebuild b/media-gfx/xsane/xsane-0.999-r2.ebuild
index 26651ddcadd..e3886389b65 100644
--- a/media-gfx/xsane/xsane-0.999-r1.ebuild
+++ b/media-gfx/xsane/xsane-0.999-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
inherit autotools eutils toolchain-funcs
DESCRIPTION="graphical scanning frontend"
@@ -10,6 +10,7 @@ HOMEPAGE="http://www.xsane.org/"
SRC_URI="
http://www.xsane.org/download/${P}.tar.gz
https://dev.gentoo.org/~dilfridge/distfiles/${PN}-0.998-patches-2.tar.xz
+ https://dev.gentoo.org/~pacho/${PN}/${PN}-256x256.png
"
LICENSE="GPL-2"
@@ -21,21 +22,21 @@ RDEPEND="
media-gfx/sane-backends
x11-libs/gtk+:2
x11-misc/xdg-utils
- jpeg? ( virtual/jpeg )
- png? ( media-libs/libpng )
- tiff? ( media-libs/tiff )
+ jpeg? ( virtual/jpeg:0 )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
gimp? ( media-gfx/gimp )
lcms? ( media-libs/lcms:2 )
"
-
PDEPEND="ocr? ( app-text/gocr )"
DEPEND="${RDEPEND}
- app-arch/xz-utils
virtual/pkgconfig
"
src_prepare() {
+ default
+
# Apply multiple fixes from different distributions
# Drop included patch and reuse patchset from prior version
rm "${WORKDIR}/${PN}-0.998-patches-2"/005-update-param-crash.patch || die
@@ -49,7 +50,9 @@ src_prepare() {
tc-export AR
# Add support for lcms-2 (from Fedora)
- epatch "${FILESDIR}/${PN}-0.999-lcms2.patch"
+ eapply "${FILESDIR}/${PN}-0.999-lcms2.patch"
+
+ mv configure.in configure.ac || die
AT_M4DIR="m4" eautoreconf
}
@@ -83,5 +86,5 @@ src_install() {
dosym /usr/bin/xsane "${plugindir#${EPREFIX}}"/xsane
fi
- newicon src/xsane-48x48.png ${PN}.png
+ newicon "${DISTDIR}/${PN}-256x256.png" "${PN}".png
}